condenser_api.get_feed
since HF14
Purpose
返回某账户动态(feed)中的条目列表。参数:account:string;start_entry_id:int;limit:int 最大 500
account (string) | start_entry_id (int) | limit (int) | |
|---|---|---|---|
"steemit" | 0 | 1 | 查询名为 steemit 的账户,从第一条条目开始,最多一条结果。 |
"alice" | 1 | 10 | 查询名为 alice 的账户,从第二条条目开始,最多 10 条结果。 |
另见:follow_api.get_feed、Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_feed",
"params": [
"steemit",
0,
1
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_feed",
"params": [
"alice",
1,
10
],
"id": 1
}'